package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxBillOtherDeposit;

import java.util.List;
import java.util.Map;

/**
 * @author gongbiao
 */
public interface WxBillOtherDepositMapper extends CommonMapper<WxBillOtherDeposit, Long> {

    List<WxBillOtherDeposit> findList(WxBillOtherDeposit record);

    void updateNotPaidStatus(Map<String, Object> params);

    void updateWaitPayStatus(Map<String, Object> params);

    List<WxBillOtherDeposit> queryBillList(WxBillOtherDeposit record);

}
